Bug 75795 - (SOUND CMPCI)C-Media CMI8738 does not work
(SOUND CMPCI)C-Media CMI8738 does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 13:06 EDT by Ovidiu D. Damian
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ovidiu D. Damian 2002-10-12 13:06:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
ECS P6IWP-Fe motherboard with an integrated C-Media CMI8738 sound adapter.
Default installation of Red Hat 8.0 correctly identifies the soundcard but there
is no sound when attempting to play the test sound.

This is what is shown in dmesg:
cmpci: version $Revision: 1.2 $ time 13:45:13 Sep 4 2002
PCI: Found IRQ 5 for device 01:0a.0
PCI Sharing IRQ 5 with 00:1f.2
cmpci: found CM8738 adapter at io 0xc800 irq 5
cmpci: chip version=037
cmpci: Enable SPDIF loop
cmpci: write: chip lockup? dmasz 65536 fragsz 1024 count 65536 hwptr 1040 swptr 1040
cmpci: write: chip lockup? dmasz 65536 fragsz 1024 count 65536 hwptr 0 swptr 0
...
(repeated 17 times)
...
cmpci: dma timed out??
...
(repeated 8 times)
...

Running the Soundcard Detection tool just generates more of the cmpci: dma timed
out?? messages when trying to "Play test sound".

This card worked fine with my previous installation of Gentoo Linux 1.4_rc1
running kernel 2.4.19.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot the machine.
2.Examine the output of dmesg.
3.Run the Soundcard Detection tool, press "Play test sound" button.
4.Examine the output of dmesg.
	

Additional info:
Comment 1 Ovidiu D. Damian 2002-10-27 02:00:50 EST
Even better, install arts-1.0.3-1.i386.rpm from Red Hat 8.0 CD2. Unless you want
to install the entire KDE base, this needs to be done manually via either the
command prompt or through Nautilus.
Comment 2 Ovidiu D. Damian 2002-10-27 02:02:11 EST
Ooops, disregard the previous comment. It was meant for a different bug report :)
Comment 3 Ovidiu D. Damian 2002-10-27 18:15:47 EST
It works and no longer locks up by building a custom kernel with the following
CMPCI configuration:

CONFIG_SOUND_CMPCI=m
# CONFIG_SOUND_CMPCI_FM is not set
# CONFIG_SOUND_CMPCI_MIDI is not set
# CONFIG_SOUND_CMPCI_JOYSTICK is not set
CONFIG_SOUND_CMPCI_CM8738=y
# CONFIG_SOUND_CMPCI_SPDIFINVERSE is not set
CONFIG_SOUND_CMPCI_SPDIFLOOP=y
CONFIG_SOUND_CMPCI_SPEAKERS=2
Comment 4 Bugzilla owner 2004-09-30 11:40:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.